Name: kxstitch
Summary: Program to create cross stitch patterns
Version: 1.2.0
Release: 6%{?dist}
License: GPLv2+
Group: Amusements/Graphics
URL: http://kxstitch.sourceforge.net
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  kdelibs-devel
BuildRequires:  kdebase-workspace-devel
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gettext-devel
BuildRequires:  gcc-c++
BuildRequires:  kde-filesystem
BuildRequires:  ImageMagick-c++-devel
BuildRequires:  desktop-file-utils
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
KXStitch can be used to create cross stitch patterns from scratch. It is also
possible to convert existing images to a cross stitch pattern or scan one with 
a Sane supported scanner.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
%find_lang %{name} --with-kde || touch %{name}.lang

%check
for i in %{buildroot}%{_kde4_datadir}/applications/kde4/*.desktop ; do
  desktop-file-validate "$i"
done

%find_lang %{name} --with-kde

## unpackaged files
# no one uses locolor icons anymore, don't bother to package
rm -rf %{buildroot}%{_kde4_iconsdir}/locolor/

%post
update-desktop-database &> /dev/null || :
touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null || :
touch --no-create %{_datadir}/mime/packages &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null
    gtk-update-icon-cache %{_kde4_iconsdir}/icons/hicolor &>/dev/null || :
    touch --no-create %{_datadir}/mime/packages &> /dev/null || :
    update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :

%files -f %{name}.lang

%{_kde4_bindir}/%{name}
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_kde4_iconsdir}/hicolor/32x32/apps/*
%dir %{_kde4_appsdir}/%{name}
%{_kde4_appsdir}/%{name}/*
%{_kde4_sharedir}/config.kcfg/%{name}.kcfg
%{_mandir}/man1/%{name}.1*
#doc COPYING ## contaced developer, will be added soon.

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.2.0-4
- Rebuilt for GCC 5 C++11 ABI change

* Mon Mar 09 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.2.0-3
- Rebuild for ImageMagick.

* Wed Dec 03 2014 Golo Fuchert <packages@golotop.de> - 1.2.0-2
- removed differences between f21 and rawhide version of the spec file

* Mon Dec 01 2014 Golo Fuchert <packages@golotop.de> - 1.2.0-1
- Update to kde4 version

* Thu Oct 02 2014 Rex Dieter <rdieter@fedoraproject.org> - 0.8.4.1-21
- update mime scriptlet
- fix icon scriptlets
- use %%find_lang for kde docs too
- omit locolor icons

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Oct 27 2013 Golo Fuchert <packages@golotop.de> - 0.8.4.1-17
- Rebuilt for new ImageMagick
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Mar 30 2013 Kevin Fenzi <kevin@scrye.com> - 0.8.4.1-15
- Rebuild for broken deps in rawhide

* Sun Mar 24 2013 Golo Fuchert <packages@golotop.de> - 0.8.4.1-14
- Rebuild for new ImageMagick

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jul 31 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 0.8.4.1-12
- Add libXi-devel dependency

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 13 2012 Tom Callaway <spot@fedoraproject.org> - 0.8.4.1-10
- rebuild for new ImageMagick

* Thu Mar 01 2012 Golo Fuchert <packages@golotop.de> - 0.8.4.1-9
- Rebuild for new libpng

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.8.4.1-7
- Rebuild for new libpng

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Nov 24 2010 Golo Fuchert <packages@golotop.de> - 0.8.4.1-5
- changed _defaultdocdir to _kde4_docdir
- instead of using sed on the faulty desktopfile, a new one is installed with a heredoc
- used name macro in the files list

* Mon Nov 08 2010 Golo Fuchert <packages@golotop.de> - 0.8.4.1-4
- Minor changes to summary and description

* Sat Nov 06 2010 Golo Fuchert <packages@golotop.de> - 0.8.4.1-3
- Made summary section more concise
- Dropped manual compression of manpage
- Removed BR qt3-devel, ImageMagick-devel, libjpeg-devel, kernel-headers
- Made the source URL compliant to the Packaging Guidelines
- Included updating of the GTK icon cache
- Made use of the SOURCE1 macro
- No inclusion of the upstream INSTALL instructions

* Wed Oct 27 2010 Golo Fuchert <packages@golotop.de> - 0.8.4.1-2
- Corrected the files section (folders were not owned correctly)

* Fri Oct 01 2010 Golo Fuchert <packages@golotop.de> - 0.8.4.1-1
- Initial packaging
